package com.ssj.service.weixin.library.dto.out;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.reading.out.VipBorrowOutDto;

import java.util.List;

public class IndexOutDto extends BaseRequest {
    /**
     * 书籍标题
     */
    private String title;
    /**
     * 书籍封面
     */
    private String localImage;
    /**
     * 主题名称
     */
    private String themeName;
    /**
     * 热度
     */
    private int heat;
    /**
     * 年级
     */
    private String grade;
    /**
     * 简介
     */
    private String summary;

    /**
     * 书籍数量
     */
    private int bookSize;
    /**
     * 书籍标识id 用于查看详情
     */
    private String bookInfoId;

    private List<VipBorrowOutDto> infoList ;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getLocalImage() {
        return localImage;
    }

    public void setLocalImage(String localImage) {
        this.localImage = localImage;
    }

    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }

    public int getHeat() {
        return heat;
    }

    public void setHeat(int heat) {
        this.heat = heat;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getBookInfoId() {
        return bookInfoId;
    }

    public void setBookInfoId(String bookInfoId) {
        this.bookInfoId = bookInfoId;
    }

    public int getBookSize() {
        return bookSize;
    }

    public void setBookSize(int bookSize) {
        this.bookSize = bookSize;
    }

    public List<VipBorrowOutDto> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<VipBorrowOutDto> infoList) {
        this.infoList = infoList;
    }
}
